GCLOUD_APP_LOGS_TAIL(1)

NAME

gcloud app logs tail - streams logs for App Engine apps

SYNOPSIS

gcloud app logs tail [--level=LEVEL; default="any"] [--logs=APP_LOG,[APP_LOG,...]; default="stderr,stdout,crash.log,nginx.requests,request_log"] [--service=SERVICE, -s SERVICE] [--version=VERSION, -v VERSION] [GLOBAL-FLAG ...]

DESCRIPTION
Streams logs for App Engine apps.

FLAGS

    --level=LEVEL; default="any"
        Filter entries with severity equal to or higher than a given level. LEVEL must be one of: critical, error, warning, info, debug, any.

    --logs=APP_LOG,[APP_LOG,...]; default="stderr,stdout,crash.log,nginx.requests,request_log"
        Filter entries from a particular set of logs. Must be a comma-separated list of log names (request_log, stdout, stderr, etc).

    --service=SERVICE, -s SERVICE
        Limit to specific service.

    --version=VERSION, -v VERSION
        Limit to specific version.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To stream logs from a serving app, run:
    $ gcloud app logs tail
To show only logs with a specific service, version, and level, run:
    $ gcloud app logs tail --service=s1 --version=v1 --level=warning
To show only the logs from the request log for Standard apps, run:
    $ gcloud app logs tail --logs=request_log
To show only the logs from the request log for Flex apps, run:
    $ gcloud app logs tail --logs=nginx.requests